aboutsummaryrefslogtreecommitdiff
path: root/pdebuild
diff options
context:
space:
mode:
authorJunichi Uekawa <dancer@netfort.gr.jp>2009-02-26 12:53:15 +0900
committerJunichi Uekawa <dancer@netfort.gr.jp>2009-02-26 14:33:11 +0900
commit06a64a8ce3cbe0e9b7079114f821083ca3c3a8da (patch)
tree516660a2366b18b40d1a823ba1ec188a39a59634 /pdebuild
parent37597b2cb6439cce9571de83218586b0a99e6ea9 (diff)
downloadpbuilder-06a64a8ce3cbe0e9b7079114f821083ca3c3a8da.tar
pbuilder-06a64a8ce3cbe0e9b7079114f821083ca3c3a8da.tar.gz
refactor to use 'log' function rather than using 'echo' directly.
First cut into doing this, hopefully we're not breaking anything.
Diffstat (limited to 'pdebuild')
-rw-r--r--pdebuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/pdebuild b/pdebuild
index 4609431..3c3454b 100644
--- a/pdebuild
+++ b/pdebuild
@@ -25,7 +25,7 @@ while ! test -d ./debian -o "$(pwd)" = "/" ; do
done
if test ! -d ./debian; then
- echo "E: Cannot find ./debian dir" >&2
+ log "E: Cannot find ./debian dir"
exit 1
fi;
@@ -52,12 +52,12 @@ if [ "${USE_PDEBUILD_INTERNAL}" = 'yes' ]; then
done
cp -a ../${CHANGES} "${BUILDRESULT}"
else
- echo "E: BUILDRESULT=[$BUILDRESULT] is not a directory." >&2
+ log "E: BUILDRESULT=[$BUILDRESULT] is not a directory."
exit 1
fi
else
if ! dpkg-checkbuilddeps -B ; then
- echo "W: Unmet build-dependency in source" >&2
+ log "W: Unmet build-dependency in source"
fi
echo "dpkg-buildpackage -S -us -uc -r${BUILDSOURCEROOTCMD} $DEBBUILDOPTS" | perl -pe 's/(^|\s)-[bB](\s|$)/$1$2/g' | /bin/bash
${PBUILDERROOTCMD} ${PDEBUILD_PBUILDER} --build ${EXTRA_CONFIGFILE[@]/#/--configfile } --buildresult "${BUILDRESULT}" --debbuildopts "${DEBBUILDOPTS}" "$@" ../"${PKG_SOURCENAME}_${PKG_VERSION}".dsc